| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Pages
Functions
socgraph.php File Reference

## Functions
| poco_load ($xchan= '', $url=null)
| count_common_friends ($uid, $xchan)
| common_friends ($uid, $xchan, $start=0, $limit=100000000, $shuffle=false)
| count_common_friends_zcid ($uid, $zcid)
| common_friends_zcid ($uid, $zcid, $start=0, $limit=9999, $shuffle=false)
| count_all_friends ($uid, $cid)
| all_friends ($uid, $cid, $start=0, $limit=80)
| suggestion_query ($uid, $myxchan, $start=0, $limit=80)
| update_suggestions ()

## Function Documentation

all_friends | ( |  | $uid,
|  |  | $cid,
|  |  | $start = `0`,
|  |  | $limit = `80`
| ) |  |

Referenced by allfriends_content().

common_friends | ( |  | $uid,
|  |  | $xchan,
|  |  | $start = `0`,
|  |  | $limit = `100000000`,
|  |  | $shuffle = `false`
| ) |  |

Referenced by common_content(), and common_friends_visitor_widget().

common_friends_zcid | ( |  | $uid,
|  |  | $zcid,
|  |  | $start = `0`,
|  |  | $limit = `9999`,
|  |  | $shuffle = `false`
| ) |  |

count_all_friends | ( |  | $uid,
|  |  | $cid
| ) |  |

count_common_friends | ( |  | $uid,
|  |  | $xchan
| ) |  |

Referenced by common_content(), and common_friends_visitor_widget().

count_common_friends_zcid | ( |  | $uid,
|  |  | $zcid
| ) |  |

poco_load | ( |  | $xchan = `''`,
|  |  | $url = `null`
| ) |  |

Referenced by onepoll_run(), and update_suggestions().

suggestion_query | ( |  | $uid,
|  |  | $myxchan,
|  |  | $start = `0`,
|  |  | $limit = `80`
| ) |  |

Referenced by suggest_content().

update_suggestions | ( |  | ) |

Referenced by cli_suggest_run().